using SqlSugar;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Security.Principal;
using System.Text;
using System.Xml.Linq;

namespace SlnMesnac.Model.domain
{
    [SugarTable("wms_machine_info"), TenantAttribute("wcs")]
    [DataContract(Name = "机台信息表")]
    public class WmsMachineInfo
    {
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true, ColumnDescription = "库位ID;库位ID")]
        public int Id { get; set; }

        [SugarColumn(ColumnName = "workshop_id", ColumnDescription = "所属车间编号(2 - 2#,3 - 3#);所属车间编号(2 - 2#,3 - 3#)")]
        public int? WorkshopId { get; set; }

        [SugarColumn(ColumnName = "warehouse_id", ColumnDescription = "仓库ID，关联wms_base_warehouse的warehouse_id;仓库ID，关联wms_base_warehouse的warehouse_id")]
        public int? WarehouseId { get; set; }

        [SugarColumn(ColumnName = "machineid", ColumnDescription = "所属机台;所属机台")]
        public int MachineId { get; set; }

        [SugarColumn(ColumnName = "machine_code", ColumnDescription = "机台编号")]
        public string MachineCode { get; set; }

        [SugarColumn(ColumnName = "amount_on_location", DefaultValue = "0", ColumnDescription = "在库存数")]
        public int AmountOnLocation { get; set; }

        [SugarColumn(ColumnName = "amount_on_way", DefaultValue = "0", ColumnDescription = "在途数")]
        public int AmountOnWay { get; set; }

        [SugarColumn(ColumnName = "amount_total", DefaultValue = "0", ColumnDescription = "总库存数")]
        public int AmountTotal { get; set; }

        [SugarColumn(ColumnName = "priority", DefaultValue = "0", ColumnDescription = "生产优先级：0 - 不加急,1 - 加急")]
        public int Priority { get; set; }

        [SugarColumn(ColumnName = "product_status", DefaultValue = "0", ColumnDescription = "生产状态：0 - 未生产,1 - 生产")]
        public int ProductStatus { get; set; }

        [SugarColumn(ColumnName = "active_flag", DefaultValue = "1", ColumnDescription = "激活标记 1是 0否;激活标记 1是 0否")]
        public int ActiveFlag { get; set; }

        [SugarColumn(ColumnName = "create_by", ColumnDescription = "创建者;创建者")]
        public string CreateBy { get; set; }

        [SugarColumn(ColumnName = "created_time", ColumnDescription = "创建时间;创建时间")]
        public DateTime? CreatedTime { get; set; }

        [SugarColumn(ColumnName = "updated_by", ColumnDescription = "更新人;更新人")]
        public string UpdatedBy { get; set; }

        [SugarColumn(ColumnName = "updated_time", ColumnDescription = "更新时间;更新时间")]
        public DateTime? UpdatedTime { get; set; }

        [SugarColumn(ColumnName = "remark", ColumnDescription = "备注;备注")]
        public string Remark { get; set; }
    }
}